# Class BaseBinarySpec

java.lang.Object
org.gradle.platform.base.component.internal.AbstractComponentSpec
org.gradle.api.internal.AbstractBuildableComponentSpec
org.gradle.platform.base.binary.BaseBinarySpec

All Implemented Interfaces:
  `Buildable, BuildableComponentSpec, CheckableComponentSpec, Named, ModelElement, Binary, BinarySpec, ComponentSpec, org.gradle.platform.base.internal.BinarySpecInternal, org.gradle.platform.base.internal.ComponentSpecInternal`

@Incubating @Deprecated public class BaseBinarySpec extends org.gradle.api.internal.AbstractBuildableComponentSpec implements org.gradle.platform.base.internal.BinarySpecInternal
Deprecated.
The Gradle software model is deprecated and will be removed in Gradle 10. Use the new component model (e.g. `cpp-application`, `cpp-library`, `swift-application`, `swift-library`, `xctest`) instead.
Base class that may be used for custom `BinarySpec` implementations. However, it is generally better to use an interface annotated with `Managed` and not use an implementation class at all.

Since:
  2.2

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseBinarySpec()`
  Deprecated.
  Creates a new `BaseBinarySpec`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T extends BaseBinarySpec>
  T`
  `create(Class<? extends BinarySpec> publicType, Class<T> implementationType, org.gradle.platform.base.internal.ComponentSpecIdentifier componentId, org.gradle.model.internal.core.MutableModelNode modelNode, @Nullable org.gradle.model.internal.core.MutableModelNode componentNode, org.gradle.internal.reflect.Instantiator instantiator, org.gradle.model.internal.core.NamedEntityInstantiator<Task> taskInstantiator, org.gradle.api.internal.CollectionCallbackActionDecorator collectionCallbackActionDecorator, org.gradle.api.internal.collections.DomainObjectCollectionFactory domainObjectCollectionFactory)`
  Deprecated.
  Creates a `BaseBinarySpec`.
  `protected org.gradle.platform.base.internal.BinaryBuildAbility`
  `getBinaryBuildAbility()`
  Deprecated.
  Returns the binary build ability.
  `final org.gradle.platform.base.internal.BinaryBuildAbility`
  `getBuildAbility()`
  Deprecated.
  `@Nullable ComponentSpec`
  `getComponent()`
  Deprecated.
  `protected <T extends ComponentSpec>
  @Nullable T`
  `getComponentAs(Class<T> componentType)`
  Deprecated.
  Returns the component as.
  `LibraryBinaryIdentifier`
  `getId()`
  Deprecated.
  `DomainObjectSet<LanguageSourceSet>`
  `getInputs()`
  Deprecated.
  Returns all inputs of the binary.
  `org.gradle.platform.base.internal.BinaryNamingScheme`
  `getNamingScheme()`
  Deprecated.
  `String`
  `getProjectScopedName()`
  Deprecated.
  `Class<? extends BinarySpec>`
  `getPublicType()`
  Deprecated.
  `ModelMap<LanguageSourceSet>`
  `getSources()`
  Deprecated.
  The sources owned by this binary.
  `BinaryTasksCollection`
  `getTasks()`
  Deprecated.
  The set of tasks associated with this binary.
  `boolean`
  `hasCodependentSources()`
  Deprecated.
  `final boolean`
  `isBuildable()`
  Deprecated.
  Can this binary be built in the current environment?
  `boolean`
  `isLegacyBinary()`
  Deprecated.
  `static void`
  `replaceSingleDirectory(Set<File> dirs, File dir)`
  Deprecated.
  Replace single directory.
  `void`
  `setBuildable(boolean buildable)`
  Deprecated.
  `void`
  `setNamingScheme(org.gradle.platform.base.internal.BinaryNamingScheme namingScheme)`
  Deprecated.

  ### Methods inherited from class org.gradle.api.internal.AbstractBuildableComponentSpec

  `builtBy, checkedBy, getBuildDependencies, getBuildTask, getCheckTask, hasBuildDependencies, setBuildTask, setCheckTask`

  ### Methods inherited from class org.gradle.platform.base.component.internal.AbstractComponentSpec

  `getDisplayName, getIdentifier, getName, getProjectPath, getTypeName, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface Binary

  `getDisplayName`

  ### Methods inherited from interface Buildable

  `getBuildDependencies`

  ### Methods inherited from interface BuildableComponentSpec

  `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

  ### Methods inherited from interface CheckableComponentSpec

  `checkedBy, getCheckTask, setCheckTask`

  ### Methods inherited from interface ComponentSpec

  `getProjectPath`

  ### Methods inherited from interface ModelElement

  `getDisplayName, getName`

- ## Constructor Details

  - ### BaseBinarySpec

    public BaseBinarySpec()
    Deprecated.
    Creates a new `BaseBinarySpec`.
    Since:
      2.2

- ## Method Details

  - ### create

    public static <T extends BaseBinarySpec> T create(Class<? extends BinarySpec> publicType, Class<T> implementationType, org.gradle.platform.base.internal.ComponentSpecIdentifier componentId, org.gradle.model.internal.core.MutableModelNode modelNode, @Nullable org.gradle.model.internal.core.MutableModelNode componentNode, org.gradle.internal.reflect.Instantiator instantiator, org.gradle.model.internal.core.NamedEntityInstantiator<Task> taskInstantiator, org.gradle.api.internal.CollectionCallbackActionDecorator collectionCallbackActionDecorator, org.gradle.api.internal.collections.DomainObjectCollectionFactory domainObjectCollectionFactory)
    Deprecated.
    Creates a `BaseBinarySpec`.
    Since:
      5.5

  - ### getId

    public LibraryBinaryIdentifier getId()
    Deprecated.
    Specified by:
      `getId` in interface `org.gradle.platform.base.internal.BinarySpecInternal`

  - ### getPublicType

    public Class<? extends BinarySpec> getPublicType()
    Deprecated.
    Specified by:
      `getPublicType` in interface `org.gradle.platform.base.internal.BinarySpecInternal`

  - ### getComponent

    public @Nullable ComponentSpec getComponent()
    Deprecated.
    Specified by:
      `getComponent` in interface `org.gradle.platform.base.internal.BinarySpecInternal`

  - ### getComponentAs

    protected <T extends ComponentSpec> @Nullable T getComponentAs(Class<T> componentType)
    Deprecated.
    Returns the component as.
    Since:
      2.10

  - ### getProjectScopedName

    public String getProjectScopedName()
    Deprecated.
    Specified by:
      `getProjectScopedName` in interface `org.gradle.platform.base.internal.BinarySpecInternal`

  - ### setBuildable

    public void setBuildable(boolean buildable)
    Deprecated.
    Specified by:
      `setBuildable` in interface `org.gradle.platform.base.internal.BinarySpecInternal`

  - ### isBuildable

    public final boolean isBuildable()
    Deprecated.
    Description copied from interface: `BinarySpec`
    Can this binary be built in the current environment?
    Specified by:
      `isBuildable` in interface `BinarySpec`

  - ### getInputs

    public DomainObjectSet<LanguageSourceSet> getInputs()
    Deprecated.
    Description copied from interface: `BinarySpec`
    Returns all inputs of the binary. This includes source sets owned by the binary, and other source sets created elsewhere (e.g. inherited from the binary's component).
    Specified by:
      `getInputs` in interface `BinarySpec`
    Returns:
      all inputs of the binary.

  - ### getSources

    public ModelMap<LanguageSourceSet> getSources()
    Deprecated.
    Description copied from interface: `BinarySpec`
    The sources owned by this binary.
    Specified by:
      `getSources` in interface `BinarySpec`
    Returns:
      the sources owned by the binary.

  - ### getTasks

    public BinaryTasksCollection getTasks()
    Deprecated.
    Description copied from interface: `BinarySpec`
    The set of tasks associated with this binary.
    Specified by:
      `getTasks` in interface `BinarySpec`

  - ### isLegacyBinary

    public boolean isLegacyBinary()
    Deprecated.
    Specified by:
      `isLegacyBinary` in interface `org.gradle.platform.base.internal.BinarySpecInternal`

  - ### getNamingScheme

    public org.gradle.platform.base.internal.BinaryNamingScheme getNamingScheme()
    Deprecated.
    Specified by:
      `getNamingScheme` in interface `org.gradle.platform.base.internal.BinarySpecInternal`

  - ### setNamingScheme

    public void setNamingScheme(org.gradle.platform.base.internal.BinaryNamingScheme namingScheme)
    Deprecated.
    Specified by:
      `setNamingScheme` in interface `org.gradle.platform.base.internal.BinarySpecInternal`

  - ### hasCodependentSources

    public boolean hasCodependentSources()
    Deprecated.
    Specified by:
      `hasCodependentSources` in interface `org.gradle.platform.base.internal.BinarySpecInternal`

  - ### getBuildAbility

    public final org.gradle.platform.base.internal.BinaryBuildAbility getBuildAbility()
    Deprecated.
    Specified by:
      `getBuildAbility` in interface `org.gradle.platform.base.internal.BinarySpecInternal`

  - ### getBinaryBuildAbility

    protected org.gradle.platform.base.internal.BinaryBuildAbility getBinaryBuildAbility()
    Deprecated.
    Returns the binary build ability.
    Since:
      2.4

  - ### replaceSingleDirectory

    public static void replaceSingleDirectory(Set<File> dirs, File dir)
    Deprecated.
    Replace single directory.
    Since:
      2.11